import Titlebar1 from './components/titlebar1.vue'
import Page1 from './components/page1.vue'
import Fab from './components/fab.vue'
import Title1 from './components/title1.vue'
import Title2 from './components/title2.vue'
import Title3 from './components/title3.vue'
import Title4 from './components/title4.vue'
import Title5 from './components/title5.vue'
import Title6 from './components/title6.vue'
import Para1 from './components/para1.vue'
import Para2 from './components/para2.vue'
import Textfield from './components/textfield.vue'
import Card1 from './components/card1.vue'

import SignUpPage from './pages/signUp.vue'

import initStore from './store'

function plugin (Vue) {
  Vue.component('titlebar1', Titlebar1)
  Vue.component('page1', Page1)
  Vue.component('fab', Fab)
  Vue.component('title1', Title1)
  Vue.component('title2', Title2)
  Vue.component('title3', Title3)
  Vue.component('title4', Title4)
  Vue.component('title5', Title5)
  Vue.component('title6', Title6)
  Vue.component('para1', Para1)
  Vue.component('para2', Para2)
  Vue.component('textfield', Textfield)
  Vue.component('card1', Card1)

  Vue.component('signup', SignUpPage)

  initStore(Vue)
}

// Install by default if using the script tag
if (typeof window !== 'undefined' && window.Vue) {
  window.Vue.use(plugin)
}

export default plugin
const version = '__VERSION__'
// Export all components too
export {
  Titlebar1,
  version
}
