export default {
  createModel (context, payload) {
    var ref = context.state.app.firestore()
    for (var i in payload.name) {
      if (i % 2 === 0) {
        ref = ref.collection(payload.name[i])
      } else {
        ref = ref.doc(payload.name[i])
      }
    }
    console.log(ref)
    ref.onSnapshot(snapshot => {
      if (!snapshot.empty) {
        context.commit('setModelInState', {
          name: payload.name[i],
          object: snapshot.docs.map(doc => Object.assign({}, doc.data(), {
            id: doc.id
          }))
        })
      }
    })
  }
}
