import Firebase from 'firebase/app'
import 'firebase/auth'
import 'firebase/firestore'

export default function (Vue) {
  return (store) => {
    const app = Firebase.initializeApp(Vue.config.firebase)
    store.commit('setFirebase', app)
    app.auth().onAuthStateChanged(user => store.commit('setUser', user))
  }
}
